package base

import (
	"git.fsdpf.net/go/contracts/res_type"
)

type ResApiApproval struct {
	Uuid      string                  `db:"uuid"`
	ApiUuid   string                  `db:"api_uuid"`
	Code      string                  `db:"code"`
	Name      string                  `db:"name"`
	MarkField string                  `db:"markField"`
	RolesUuid res_type.ResFieldByAnys `db:"rolesUuid"`
	Flows     res_type.ResFieldByAnys `db:"flows"`
	Roles     res_type.ResFieldByAnys `db:"roles"`
	UpdatedAt string                  `db:"updated_at"`
	CreatedAt string                  `db:"created_at"`
}

type GetResApiApproval func(code string) (ResApiApproval, bool)
